Subject: [TLS] draft-ietf-tls-tls13-20 is up

From: Eric Rescorla <[email-masked]>
Date: Fri, 28 Apr 2017 09:37:36 -0700

This version incorporates the WGLC feedback and discussions in Chicago.

Changes in -20:

- Add "post_handshake_auth" extension to negotiate post-handshake
authentication
  (*).

- Shorten labels for HKDF-Expand-Label so that we can fit within one
  compression block (*).

- Define how RFC 7250 works (*).

- Re-enable post-handshake client authentication even when you do PSK.
  The previous prohibition was editorial error.

- Remove cert_type and user_mapping, which don't work on TLS 1.3 anyway.

- Added the no_application_protocol alert from {{RFC7301}} to the list
  of extensions.

- Added discussion of traffic analysis and side channel attacks.

-Ekr